#include "stdio.h"
int main(int argc, char* argv[])
{
  if (argc == 1)
    printf("this function has no parameters!");
  else {
    int count;
    for(count = 0;count < argc; count++) {
      printf("parameter %d is %s\n", count, argv[count]);
    }
  }
}
